Bug 1651365 (python-pynwb) - Review Request: python-pynwb - PyNWB is a Python package for working with NWB files.
Summary: Review Request: python-pynwb - PyNWB is a Python package for working with NWB...
Keywords:
Status: CLOSED ERRATA
Alias: python-pynwb
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ankur Sinha (FranciscoD)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: fedora-neuro
TreeView+ depends on / blocked
 
Reported: 2018-11-19 20:02 UTC by Luis Bazan
Modified: 2018-12-06 03:56 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-12-06 02:49:32 UTC
sanjay.ankur: fedora-review+


Attachments (Terms of Use)

Description Luis Bazan 2018-11-19 20:02:55 UTC
Spec URL: https://lbazan.fedorapeople.org/python-pynwb.spec
SRPM URL: https://lbazan.fedorapeople.org/python-pynwb-0.6.1-1.fc29.src.rpm
Description:
PyNWB is a Python package for working with NWB files. It provides a high-level 
API for efficiently working with Neurodata stored in the NWB format.

Neurodata Without Borders: Neurophysiology (NWB:N) is a project to develop a 
unified data format for cellular-based neurophysiology data, focused on the 
dynamics of groups of neurons measured under a large range of experimental conditions.

The NWB:N team consists of neuroscientists and software developers who recognize 
that adoption of a unified data format is an important step toward breaking down 
the barriers to data sharing in neuroscience.

Fedora Account System Username: lbazan

Comment 2 Ankur Sinha (FranciscoD) 2018-11-25 15:53:12 UTC
Here's the review. Almost ready, but one or two issues:

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed

Issues
========

- Please enable tests
- Please use tabs or spaces, but consistently (do not mix)
- Please test F28/F29 builds
- You can use:

SOURCE0: %pypi_source %{pypi_name}

For example:
$ rpm -E "%pypi_source ANAME"
https://files.pythonhosted.org/packages/source/A/ANAME/ANAME-%version.tar.gz


- Please include the upstream documentation link in the description since the
  pypi tarball does not include docs: https://pynwb.readthedocs.io/en/latest/

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "BSD 3-clause "New" or "Revised" License", "Unknown or
     generated", "*No copyright* BSD (unspecified)". 192 files have unknown
     license. Detailed output of licensecheck in /home/asinha/1651365
     -python-pynwb/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
Tests not been run

[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python3-pynwb-0.6.1-1.fc30.noarch.rpm
          python-pynwb-0.6.1-1.fc30.src.rpm
python3-pynwb.noarch: W: summary-ended-with-dot C PyNWB is a Python package for working with NWB files.

^ Simple to fix

python3-pynwb.noarch: E: zero-length /usr/lib/python3.7/site-packages/pynwb/io/behavior.py
python3-pynwb.noarch: E: zero-length /usr/lib/python3.7/site-packages/pynwb/io/ecephys.py
python3-pynwb.noarch: E: zero-length /usr/lib/python3.7/site-packages/pynwb/io/image.py
python3-pynwb.noarch: E: zero-length /usr/lib/python3.7/site-packages/pynwb/io/ogen.py
python3-pynwb.noarch: E: zero-length /usr/lib/python3.7/site-packages/pynwb/io/retinotopy.py
python3-pynwb.noarch: E: zero-length /usr/lib/python3.7/site-packages/pynwb/legacy/io/ecephys.py
python3-pynwb.noarch: E: zero-length /usr/lib/python3.7/site-packages/pynwb/legacy/io/retinotopy.py

^ These are place holders, so they're OK. Please do add a comment in the spec.

python-pynwb.src: W: summary-ended-with-dot C PyNWB is a Python package for working with NWB files.
python-pynwb.src:61: W: mixed-use-of-spaces-and-tabs (spaces: line 17, tab: line 61)

^ Noted

2 packages and 0 specfiles checked; 7 errors, 3 warnings.


Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
python3-pynwb.noarch: W: summary-ended-with-dot C PyNWB is a Python package for working with NWB files.
python3-pynwb.noarch: W: invalid-url URL: http://pypi.python.org/pypi/pynwb/0.6.1 <urlopen error [Errno -2] Name or service not known>
python3-pynwb.noarch: E: zero-length /usr/lib/python3.7/site-packages/pynwb/io/behavior.py
python3-pynwb.noarch: E: zero-length /usr/lib/python3.7/site-packages/pynwb/io/ecephys.py
python3-pynwb.noarch: E: zero-length /usr/lib/python3.7/site-packages/pynwb/io/image.py
python3-pynwb.noarch: E: zero-length /usr/lib/python3.7/site-packages/pynwb/io/ogen.py
python3-pynwb.noarch: E: zero-length /usr/lib/python3.7/site-packages/pynwb/io/retinotopy.py
python3-pynwb.noarch: E: zero-length /usr/lib/python3.7/site-packages/pynwb/legacy/io/ecephys.py
python3-pynwb.noarch: E: zero-length /usr/lib/python3.7/site-packages/pynwb/legacy/io/retinotopy.py
1 packages and 0 specfiles checked; 7 errors, 2 warnings.



Requires
--------
python3-pynwb (rpmlib, GLIBC filtered):
    python(abi)
    python3.7dist(h5py)
    python3.7dist(numpy)
    python3.7dist(pandas)
    python3.7dist(python-dateutil)
    python3.7dist(requests)
    python3.7dist(ruamel.yaml)
    python3.7dist(six)

Provides
--------
python3-pynwb:
    python3-pynwb
    python3.7dist(pynwb)
    python3dist(pynwb)

Source checksums
----------------
https://pypi.python.org/packages/source/p/pynwb/pynwb-0.6.1.tar.gz :
  CHECKSUM(SHA256) this package     : 56d8137cce0256e4664aae3be8f30da44872d0e8035b6f37a992722df2880419
  CHECKSUM(SHA256) upstream package : 56d8137cce0256e4664aae3be8f30da44872d0e8035b6f37a992722df2880419


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1651365
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 6 Ankur Sinha (FranciscoD) 2018-11-26 23:46:05 UTC
Looks good!

- Please remove the comment before %bond_without tests (since we've enabled them)
- Please file an issue upstream about the failing test and include the link as a comment in the spec file.

XXX APPROVED XXX

Comment 8 Gwyn Ciesla 2018-11-27 14:37:16 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/python-pynwb

Comment 9 Fedora Update System 2018-11-27 15:45:38 UTC
python-pynwb-0.6.1-3.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-aae584aa34

Comment 10 Fedora Update System 2018-11-27 15:45:43 UTC
python-pynwb-0.6.1-3.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-44647a9523

Comment 11 Fedora Update System 2018-11-28 03:47:39 UTC
python-pynwb-0.6.1-3.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-44647a9523

Comment 12 Fedora Update System 2018-11-28 04:51:46 UTC
python-pynwb-0.6.1-3.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-aae584aa34

Comment 13 Fedora Update System 2018-12-06 02:49:32 UTC
python-pynwb-0.6.1-3.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2018-12-06 03:56:38 UTC
python-pynwb-0.6.1-3.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.